| Elektra 0.11.0

dl.c File Reference

Loading modules under linux. More...

`#include <kdbconfig.h>`
`#include <kdbmacros.h>`
`#include <dlfcn.h>`
`#include <kdberrors.h>`
`#include <kdbmodule.h>`
`#include <stdlib.h>`
`#include <string.h>`

## Detailed Description

Loading modules under linux.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

The name of the module will be libname. A .so will be appended. This file will be loaded.

The path were the plugins are located, e.g. /usr/src/elektra need to be added with LD_LIBRARY_PATH.

The reason is that only LD_LIBRARY_PATH also loads libraries which are seen by symlink only. That feature is needed for libelektra-default.

The buildsystem makes sure that dlfcn.h exists.